SUSE SLES12/SLES15 セキュリティ更新プログラム: kernel (SLE 15 SP3 用の Live Patch 0) (SUSE-SU-2021:3073-1)

high Nessus プラグイン ID 153463

言語:

概要

リモートの SUSE ホストに 1 つ以上のセキュリティ更新がありません。

説明

リモートの SUSE Linux SLES12/SLES15 ホストには、SUSE-SU-2021:3073-1 のアドバイザリに記載された複数の脆弱性の影響を受けるパッケージがインストールされています。

- kernel: KVM の SVM ネスト化仮想化問題 (AVIC サポート) (CVE-2021-3653)

- SVMネスト化仮想化をサポートするための欠陥がKVMのAMDコードで見つかりました。この欠陥は、ネストされたゲスト (L2) を生成/処理するために L1 ゲストによって提供された VMCB (仮想マシン制御ブロック) を処理する際に発生します。int_ctlフィールドの不適切な検証が原因で、この問題により、悪意のあるL1がL2ゲストに対してAVICサポート (Advanced Virtual Interrupt Controller) を有効にする可能性があります。その結果、L2 ゲストがホストの物理ページを読み書きできるようになり、システム全体のクラッシュ、機密データの漏洩、またはゲストからホストへのエスケープの可能性があります。(CVE-2021-3653) (CVE-2021-3656)

- 5.12.11 より前の Linux カーネルの arch/x86/kvm/mmu/paging_tmpl.h は、シャドウページのアクセス権限を誤って計算し、欠落しているゲストの保護ページ障害を引き起こします。(CVE-2021-38198)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://bugzilla.suse.com/1189278

https://bugzilla.suse.com/1189418

https://bugzilla.suse.com/1189420

http://www.nessus.org/u?9b112276

https://www.suse.com/security/cve/CVE-2021-3653

https://www.suse.com/security/cve/CVE-2021-3656

https://www.suse.com/security/cve/CVE-2021-38198

プラグインの詳細

深刻度: High

ID: 153463

ファイル名: suse_SU-2021-3073-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2021/9/17

更新日: 2022/3/11

サポートされているセンサー: Nessus Agent

リスク情報

CVSS スコアのソース: CVE-2021-3656

VPR

リスクファクター: High

スコア: 7.3

CVSS v2

リスクファクター: High

Base Score: 7.2

Temporal Score: 5.3

ベクトル: AV:L/AC:L/Au:N/C:C/I:C/A:C

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:kernel-livepatch-4_12_14-150_58-default, p-cpe:/a:novell:suse_linux:kernel-livepatch-4_12_14-197_56-default, p-cpe:/a:novell:suse_linux:kernel-livepatch-5_3_18-24_15-default, p-cpe:/a:novell:suse_linux:kernel-livepatch-5_3_18-57-default, p-cpe:/a:novell:suse_linux:kgraft-patch-4_12_14-122_37-default, p-cpe:/a:novell:suse_linux:kgraft-patch-4_12_14-95_60-default, cpe:/o:novell:suse_linux:12, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/9/16

脆弱性公開日: 2021/8/8

参照情報

CVE: CVE-2021-3653, CVE-2021-3656, CVE-2021-38198

SuSE: SUSE-SU-2021:3073-1